%define svn 
#svn.r4133

Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libtorrent
Summary:        C++ library for bittorrent protocol
Version:	0.15.4
Release:	1
Epoch:		1
License:	BSD
URL:		http://www.rasterbar.com/products/libtorrent/
Group:		Networking/File Transfer
Source0:	%{name}-rasterbar-%{version}%{?svn:.%{svn}}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires: GeoIP-devel
BuildRequires: which

#Automatically resolved build dependencies
BuildRequires: boost-devel
BuildRequires: glibc-devel
BuildRequires: libstdc++-devel
BuildRequires: openssl-devel
BuildRequires: zlib-devel

%description
libtorrent is a C++ library that aims to be a good alternative to all the other
bittorrent implementations around. It is a library and not a full featured client,
although it comes with a working example client.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-rasterbar-%{version}%{?svn:.%{svn}}

%build
%configure --disable-static --with-zlib=system          \
        --with-boost-date-time=mt                       \
        --with-boost-thread=mt                          \
        --with-boost-regex=mt                           \
        --with-boost-program_options=mt                 \
        --with-boost-filesystem=mt                      \
        --with-asio=system
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/libtorrent-rasterbar.so.*

%files devel
%defattr(-,root,root)
%_includedir/libtorrent
%_libdir/libtorrent-rasterbar.la
%_libdir/libtorrent-rasterbar.so
%_pkgconfig/libtorrent-rasterbar.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:0.15.4-1
- Version update
* Tue Apr 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:0.14.10-1
- Version update
* Wed Mar 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:0.14.9-1
- Version update
* Wed Jan 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:0.14.8-1
- Version bump
* Sat Jan 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.15-1
- Version update
- svn r4133
* Tue Nov 24 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.14.7-1
- Version update
* Fri Sep 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.14.6-1
- Version update
* Mon Sep 14 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.14.5-2
- rebuilt against boost 1.40.0-1
* Sun Sep 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.14.5-1
- Version update
* Wed Jul 22 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.14.4-1
- Version update
- built against boost 1.39.0
* Wed May 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.14.3-1
- Version update
* Mon May 18 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.14.2-1
- Version update
* Sun Jan 04 2009 Christian Metzen <metzench@ccux-linux.de> 0.14.1-1
- Version update
* Fri Oct 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.13.1-2
- rebuilt against boost 1.36.0
* Sat Aug 09 2008 Christian Wasem <wasem@ccux-linux.de> 0.13.1-1
- Version update
* Fri Apr 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.13-9
- 0.13 final
* Sun Dec 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.13-8
- r1876
* Sat Dec 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.13-7
- r1806b
* Fri Nov 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.13-6
- r1727
* Wed Nov 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.13-5
- r1720
* Sun Nov 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.13-4
- r1719
* Sun Oct 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.13-3
- r1683
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.13-2
- r1672d
* Sun Sep 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.13-1
- version update
- r1615
* Mon Aug 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.12-3
- rebuilt against boost 1.34.1
* Sun Apr 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.12-2
- 0.12 final
* Sun Apr 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.12-1
- Initial release
- 0.12rc2
